Bug 90946 - plugin for skype functions
Summary: plugin for skype functions
Status: RESOLVED FIXED
Alias: None
Product: kopete
Classification: Unclassified
Component: New plugin wishes (show other bugs)
Version: 0.40.0
Platform: unspecified Linux
: NOR wishlist with 510 votes (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
: 110846 190250 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-10-08 08:58 UTC by m.wege
Modified: 2010-02-07 19:15 UTC (History)
18 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description m.wege 2004-10-08 08:58:52 UTC
Version:           0.9.0 (using KDE 3.3.0,  (3.1))
Compiler:          gcc version 3.3.4 (Debian 1:3.3.4-12)
OS:                Linux (i686) release 2.6.8.1-kanotix-5

Short description says it all. I want to have plugin for using skype within kopete.
Comment 1 Jason Keirstead 2004-10-08 14:59:46 UTC
On October 8, 2004 09:17 am, Piotr Szymanski wrote:
> Impossible I guess, skype has completely no opensource libs and/or reverse
> engineered documentation.

This isn't true. The 1.0 version of Skype (including the Linux version) is 
going to have a publically documented API. They haven't exactly said what 
form the API will be ( a lib, or an RPM mechanism of some sort, or something 
else), but they have said that it will be there fore sure, and they are 
commiteed to making their software available to 3rd party developers.

Basically, the view on this bug is "stay tuned", when they get the API out we 
can start thinking about a plugin.

Comment 2 Roie Kerstein 2004-10-08 15:01:10 UTC
Beside the fact that it is impossible, it is also unnecessary.
Skype also has contact list and indication of online status of your contacts. It also provides an instant messaging mechanism.
If you insist to have voIP integration in kopete, use the GnomeMeeting plugin.
Comment 3 Jason Keirstead 2004-10-08 15:24:08 UTC
On October 8, 2004 10:08 am, Matt Rogers wrote:
> Then where is it? I'm running Skype 1.0 at work.

Read http://dot.kde.org/1095235415/

Exerpt:

"Skype is released under a proprietary license. It was mentioned in the forums 
that you may be experimenting with an open source API. Can you tell us a 
little more about that?

The API is going to be available to other apps over a remote call protocol 
when the Skype client is running. Other apps can then call Skype functions 
such as "call this contact", "send IM to this contact" and Skype also 
notifies other apps about incoming calls, IM-s and other events. A simple 
usage scenario would be to have a Skype Name field in address book 
applications and a button for calling those persons. If you then click it, a 
Skype call is placed. "

> Just out of curiousity, with what manpower? No new plugin w/o developer to
> write it. None of us has time, so i don't think it's fair to the person
> reporting the bug (or the rest of our users) that we'll look into it when
> we really can't.

I never said *we* will look into it. I said that it will likely be looked 
into.

"If you make the API, they will come". Skype is extremely popular. The client 
gets 6000 downloads / hour ( over 26.5 million total ) and has over 10 
million users**, even though it has only been at 1.0 for a few months. If 
they provide a public API I have absolutely no doubt someone will write a 
Kopete plugin for it, since with a public API it would probably not be too 
difficult.

** http://www.gigaom.com/2004/09/the_skype_contro.php

> ------- Additional Comments From sf_kersteinroie bezeqint net  2004-10-08
> If you insist to 
> have voIP integration in kopete, use the GnomeMeeting plugin.

This is a pretty naieve approach. For one, the Gnomemeeting plugin is useless 
if you want to talk to someone who is using Skype. For another, Open H.323 is 
*very* inferiour to Skype in voice quality, and in use through firewalls. 
Also, Skype can be used to call regular telephones at very reduced long 
distance rates via SkypeOut. You can also do that with Open H.323 using 
iConnectHere, but its more expensive than SkypeOut.

Comment 4 Roie Kerstein 2004-10-08 15:39:55 UTC
> This is a pretty naieve approach. For one, the Gnomemeeting plugin is useless 
> if you want to talk to someone who is using Skype. For another, Open H.323 is 
> *very* inferiour to Skype in voice quality, and in use through firewalls. 
> Also, Skype can be used to call regular telephones at very reduced long 
> distance rates via SkypeOut. You can also do that with Open H.323 using 
> iConnectHere, but its more expensive than SkypeOut. 
 
1. I wrote this comment before you wrote yours, which means I did not know by then that Skype has plans to publish APIs.
2. As far as I can see from the excrept, the APIs in question will not allow you to build a plugin whick manages a conversation from within kopete, but only to launch Skype client and initiate a conversation. This is useless for a plugin as it gives no functionality. What you said about is true, but with all the good will, Skype integration *can't* be done, so this is the only alternative left.
Of couse, the is nothing wrong with simply using Skype's client. This is what I do for international calls, and quite satisfied. 
Comment 5 Jason Keirstead 2004-10-08 15:47:50 UTC
On October 8, 2004 10:39 am, Roie Kerstein wrote:
> the excrept, the APIs in question will not allow you to build a plugin
> whick manages a conversation from within kopete, but only to launch Skype
> client and initiate a conversation. 

That is not what the article says. It basically says as long as the Skype 
client is running you will have access to all kinds of things -  including 
status notifications, notifications of incoming calls, instant messaging, 
etc.

Besides, even *if* all it could do is call out like you said, that is all the 
Gnomemeeting plugin can do, so it would be no further ahead or behind of it.

> This is useless for a plugin as it 
> gives no functionality. What you said about is true, but with all the good
> will, Skype integration *can't* be done, 

I think you are misunderstanding the point of the plugin - we would never be 
using it to impliment the Skype protocol in Kopete, you'd use it to utilize 
Skype from inside Kopete. This would let you keep all yoru contacts in one 
place (Kopete). And even thought he Skype client needs to be running, this is 
not a big deal. The user can always just hide the Skype window. The plugin  
could even automatically launch Skype at startup and hide the window if it 
wanted to, and it would be completely transparant to the user that they were 
even using Skype as the back end at all.

Comment 6 Jörg Hermsdorf 2004-10-22 01:36:22 UTC
I'd also like the idea of integrating skype somehow into kopete. I just want to use one IM program and not several...
Comment 7 Patrick 2004-10-22 11:48:02 UTC
Well, Skype staff is already calling for testers for the Linux API (using D-BUS):

http://forum.skype.com/bb/viewtopic.php?t=9689&highlight=api+linux

It means if someone has the possibility (time and knowledge) to develop a plugin for Kopete, it could be ready for release at the same time the new Skype for Linux is released. Am I just dreaming? Maybe someone can point to the plugin documentation of Kopete as a first step?
Comment 8 Will Stephenson 2004-10-22 13:06:49 UTC
I've enquired about the DBUS testing on the Skype forum - shouldn't be too much work to knock up a plugin.
Comment 9 Julien Puydt 2004-10-27 10:32:31 UTC
Gnomemeeting's cvs has a DBUS interface too. And there's already a gaim plugin in the works to make use of that interface.

Snark on #gnomemeeting
Comment 10 Jason Keirstead 2004-10-27 19:42:59 UTC
Skype using DBUS could be very poerful in KDE 4.0, when all of KDE will be DBUS compatable.

Not that that prevents us from using libdbus in the interim or anything.

I might investigate a DBUS Skype plugin - Assuming the API is robust enough.
Comment 11 Roland Seuhs 2004-11-05 12:50:52 UTC
*** This bug has been confirmed by popular vote. ***
Comment 12 tom chiverton 2005-04-13 11:24:37 UTC
This would be a great feature - no to bother about the VoIP, more that I can have one IM client that talks to everyone.
Comment 13 Michal Vaner 2005-04-13 15:03:17 UTC
Well, I'm trying to write some plugin for skype now. I hope I can do something, but I just started. Now it is found by kopete but it does nothing useful yet...
Comment 14 m.wege 2005-04-14 09:31:36 UTC
Hey, that is great! Looking forward to test it.
Comment 15 Cyb Org 2005-04-15 13:55:17 UTC
just to mention, there is a miranda plugin for skype under windows, maybe get a look at it
Comment 16 Till 2005-04-23 14:04:05 UTC
Just wanted to mention, that Skype 1.1.0.3 for linux has been released yesterday, which supports access to skype functions through the Skype API.

API Documentation: http://www.skype.com/community/devzone/Skype API description 1.2.pdf

and: http://www.skype.com/community/devzone/SkypeAPIforLinux.html
Comment 17 Michal Vaner 2005-04-23 15:50:42 UTC
As I said before I'm working on it. I already have it downloaded, between, now I'm trying to find some tutorial about DBUS.
Comment 18 Michal Vaner 2005-04-23 15:52:06 UTC
I already said I'm working on it. I already downloaded it and now I'm trying to find some DBUS tutorial. The kopete part is more or less working, now I have to move on with the skype part.
Comment 19 Michal Vaner 2005-05-09 20:05:58 UTC
I wanted to say that I put first version of the Skype plugin to the KDE SVN repository. It is just first try. It loads contact list from Skype, see their online status and sends/receives messages (only in chat one to one, multi-person chats are not supported yet).

If you want to test it, it is placed in trunk/playground/network/kopete/protocols. You need to copy it to kopete/protocols directory of kopete's source. You need configure.in.in and Makefile.am located in the protocols directory as well. (configure.in.bot is not necessary, but recommended).

It requires DBus libraries and running, DBus capable Skype (see http://www.skype.com/community/devzone/SkypeAPIforLinux.html).

If there is any problem with compilation or how it works, send me E-mail to vorner@seznam.cz, but remeber, this is just development version and therefore it may cause problems. As one of them, there is no manual for it yet.

I recommend disabling popping out new message in Skype so you get the messages only by kopete.

Thanks for any feedback.
Comment 20 Cyb Org 2005-06-12 14:26:37 UTC
please include it in the main branch, but defaultly disabled, so svn up will download it correctly :D
the plugin is great, however:
* Skype not found should be passive popup
* image / picture capability would be great

and other things, but keep the work going, it is a great plugin and i use it already frequently.
Comment 21 Michal Vaner 2005-06-12 15:35:26 UTC
>please include it in the main branch, but defaultly disabled, so svn up will >download it correctly :D 

It will not be included there, because it depends on third-party software. It will be in KDE-Addon. But it will be able to compile separately, so there will be no need to have it in protocols directory.

> * Skype not found should be passive popup 

It shouldn't because it is an error. But now, the plugin supports starting the Skype, so you don't have to see the message unless something really awful happens (like you delete Skype). I disabled skype in session management and have it automatically started with Kopete with artsdsp (you can specify the command by what it will be started)

> * image / picture capability would be great

It would be great if Skype supported it :-D. I heard that they plan on doing it somewhen, but you know, it is not supported yet and it will take some time. I would like to see it as well.
Comment 22 Cyb Org 2005-06-13 23:17:46 UTC
> It would be great if Skype supported it 

oh didnt know that, i thought the api is giving away user details with pic...

> It will not be included there, because it depends on third-party software.

as does smssend and winpopup plugin
dont see the point why a plugin which only uses the api of a third party software cant be included in the main branch. your plugin is free software, even if skype decides to blow off everything.
but, its your work. :d
Comment 23 Michal Vaner 2005-06-14 13:35:05 UTC
But this was not my decision, people on the kopete-devel mail-list said it would be better. I think it is because KDE does not want to advertise any other companies like Skype by giving there a plugin that would directly ask you for that specific program. With winpopup, you use samba, but it is Open Source and there is no company directly owning it.

But it will be as easy to install as any other software, so you don't have to worry. 
Comment 24 Cyb Org 2005-06-15 10:22:34 UTC
> But it will be as easy to install as any other software, so you don't have to worry. 

Is okay.I could install your plugin from svn, with modifying actual makefiles of kopete, so I doubt it will be harder then :D

However, I still find, that the error message shouldnt be a modal message, because  it is holding up every other protocol to connect but is behind all other windows in my kde, so i cant see it. simply stay offline and make a permanent (no timeout) passive message, that skype hasnt been found or couldnt be started. Just give it a thought. maybe as an option :D
Comment 25 Michal Vaner 2005-08-15 22:40:51 UTC
*** Bug 110846 has been marked as a duplicate of this bug. ***
Comment 26 Yves Glodt 2005-10-14 23:16:40 UTC
There is a library with skype functions available:

http://www.icebrains-soft.com/skype_library_0

It's a commercial product, but the license [1] says you can use it for free
in GPL apps

Read more about it here:
http://www.icebrains-soft.com/getting_started_with_the_skype_library





[1]:
http://www.icebrains-soft.com/skype_library_commercial_license_agreement_eula
Comment 27 Michal Vaner 2005-10-14 23:44:12 UTC
Why you send it here? Do you think someone will think about using this lib? Why? It is A) Another dependency, B) Comercial licence (enough there is one of skype), C) The entire plugin that is ready now to be released with kde 3.5 would have to be rewritten.

And I really doubd there would be able to reflect the changes of Skype API as fast as I, for last change, when the protocol 5 came, the new features were used after few days after the release and people wanting to try it out could get it from SVN right away. Now, I would have to wait some time, until they release new version of the lib..

If you want, get it from SVN or wait for 3.5 release..
Comment 28 Michal Vaner 2005-12-06 21:24:25 UTC
As KDE 3.5 is out, I think I can mark this wish as fixed. The plugin is not included directly with Kopete but everyone who want's it can get it from extragear.kde.org, it is under section addons. However, Kopete 0.11 (from KDE 3.5) is required, so there is actually need to upgrade.

Happy using.
Comment 29 Andras Georgy Bekes 2006-01-17 10:42:48 UTC
For those who'd like to use Skype for messaging only (not for voice), can't you make a plugin which works without the Skype client? (I know that plugin would be a 100% new one.) That part of the protocol can't be very difficult, and the plugin could be GPL'd and could be included in the main branch.

Comment 30 m.wege 2006-01-26 09:47:05 UTC
Does anyone know if there is a Debian package yet?
Comment 31 Cyb Org 2006-01-26 09:57:14 UTC
tried to compile it under breezy, however, my dbus *is too new* to use it.
think same happens on debian
heard, same happens under fc4
so until skype releases an up to date version, this plugin might not work...
Comment 32 Jörg Hermsdorf 2006-02-15 22:17:28 UTC
*dbus is too new* also happens on suse 10.0
Comment 33 Will Stephenson 2006-02-18 00:39:16 UTC
I'm currently talking to Skype so they will stop statically linking dbus and *hopefully* use a more uptodate version. 

You could try asking _nicely_ on the Skype linux forum.
Comment 34 m.wege 2006-08-19 23:13:06 UTC
I just reopened this bug, since the Skype plugin is not really working with current Skype. I know this has much to do with Skype API itself, but at least they are working a bit on it. See http://share.skype.com/sites/linux/
Additionaly to the D-Bus Api which is currently deactivated they have created a X11-API (What ever that means).
Comment 35 m.wege 2007-05-26 08:02:30 UTC
There is a new Alpha out in the wild and it looks very good. The DBUS-API is activated again:
http://share.skype.com/sites/linux/2007/05/linux_14_alpha_update.html
Comment 36 m.wege 2007-05-26 08:10:11 UTC
So I thought it might be worth trying again. Unfortunately the instructions 
on http://extragear.kde.org/apps/kopete skype/
seem out of date. After downloading and using
make -f Makefile.cvs
I get this:
make: Makefile.cvs: No such file or directory
make: *** Keine Regel, um »Makefile.cvs« zu erstellen.  Schluss.

Does anyone know how to compile correctly?
Comment 37 Will Stephenson 2007-11-14 14:57:02 UTC
M. Wege.  Yes, it's out of date. Forget about using it.  I hope we will be able to do something with Skype using Decibel in the near future.
Comment 38 m.wege 2008-02-15 23:16:09 UTC
Would be great if Skype integration made it into KDE 4.1 :-) (Its not on the feature plan yet :-( ). Since the Linux-Version of Skype has become more usable and there API seems to be in place, it would be really nice if kopete made use of it.
Comment 39 m.wege 2008-03-01 18:00:52 UTC
I thought about putting this on the google summer of code projects. Or are you working on it now? Would you or someone else be able to mentor it?
Comment 40 Dotan Cohen 2008-08-30 14:52:07 UTC
Here is the forum for working with the Skype API:
http://forum.skype.com/index.php?showforum=16
Lots of good info in there.

I'd like to note that I would really like to see Skype integration into Kopete, even if it means that Skype would have to be installed and running in the background. Having all one's chats (text, voice, and video) all in one program, regardless of protocol, is a terrific advantage.
Comment 41 Pali Rohár 2008-10-05 11:45:26 UTC
I fix Michal Vaner's skype plugin for kopete-kde3, and on kopete-kde3 now works.
I'm trying port it to kde4.
http://lists.kde.org/?l=kopete-devel&m=122127933515633&w=2
Comment 42 m.wege 2008-10-05 13:20:01 UTC
This is great news. Are there any instructions for installing available? Or are the old instructions valid again? I am running kubuntu hardy.
Comment 43 Pali Rohár 2008-10-05 13:56:18 UTC
!!!it works only on kopete-kde3 version!!!

request:
1. you need latest (now it is 2 years old out of date) version of kdeextragear-addons. I found it on: http://mirrors.evolva.ro/kdeftp/snapshots/kdeextragear-addons.tar.bz2
2. you need my patch file patch.tar.bz2 from mailinglist attachment: http://lists.kde.org/?l=kopete-devel&m=122127933515633&q=p10
3. you need installed latest skype, dbus, kopete-kde3 and all headers and lib for kdenetwork-kde3, qt3, xorg, ...

installation:
1. upack archives: tar -xf kdeextragear-addons.tar.bz2 patch.tar.bz2
2. apply my patch file: patch -p0 -i patch.patch
All next steps is same
3. cd kdeextragear-addons-641687
4. configure: ./configure --prefix=`kde-config --prefix`
5. cd kopete_skype
6. compile it: make
7. install it normal or using checkinstall:
    sudo make install
    or
    sudo checkinstall

on my kubuntu 64bit hardy this works, but only on kopete-kde3
Comment 44 m.wege 2008-10-05 14:53:34 UTC
I have just installed it. It works, just fine :-) Great! Thank you! So far I have just noticed one problem: The skype client is not hidden. I thought that was what the skype api should do? Is there any way of doing that?

Anyway. I would suggest to close this bug as soon as a few others have managed to install it. Then open (if it does not exist already) an own place in bugzilla where bugs and wishes can be reported against this. KDE4-version would be great.
Comment 45 Pali Rohár 2008-10-05 14:59:35 UTC
this my patch fix only dbus connection via new version of dbus and new version of skype.
not enought problems i fix.
The oficial page by Michal Vaner's stil work and here is a lot of tips:
http://extragear.kde.org/apps/kopete skype/
Comment 46 m.wege 2008-10-05 19:09:47 UTC
I noticed a small bug: German Umlauts are not displayed properly in Kopete. Problem appears with contact names which have Umlauts and with messages.

Comment 47 Pali Rohár 2008-10-05 20:30:55 UTC
I know this error. Slovak special chars (ľščťžýáíé) arent display correct in kopete too and, when I send message with this chars it display wrong in skype and kopete. DBus message must be send in latin1 encode (actualy, it send in utf8), but i cant do it (line 571 in message.cpp) and dbus message come in latin1, but kopete read this message in utf8 encoding.

This error i will solve, if I port pugin to KDE4
Comment 48 m.wege 2008-10-06 07:01:25 UTC
I have a crash, not totally sure, if it was related to Skype, but it looks like. After resume I set all accounts on offline and then online again, because they where not actuall. Then Kopete crashed with following:

Überprüfung der Systemkonfiguration beim Start deaktiviert.

[Thread debugging using libthread_db enabled]
[New Thread 0xb60516c0 (LWP 24271)]
[KCrash handler]
#6  0xb690c00a in QGVector::size (this=0x18) at tools/qgvector.h:69
#7  0xb690c04f in QPtrVector<QConnectionList>::size (this=0x18)
    at ../include/qptrvector.h:65
#8  0xb690c287 in QSignalVec::at (this=0x18, index=2)
    at kernel/qsignalslotimp.h:86
#9  0xb6906fbe in QObject::receivers (this=0x9e16f50, signal=2)
    at kernel/qobject.cpp:1236
#10 0xb5113a64 in DBusQt::Connection::messageArrived ()
   from /usr/lib/kde3/kopete_skype.so
#11 0xb5113b51 in DBusQt::Connection::dbusMessage ()
   from /usr/lib/kde3/kopete_skype.so
#12 0xb5113b9a in nm_message_handler () from /usr/lib/kde3/kopete_skype.so
#13 0xb50a569b in ?? () from /usr/lib/libdbus-1.so.3
#14 0xb5097a66 in dbus_connection_dispatch () from /usr/lib/libdbus-1.so.3
#15 0xb5113eb3 in DBusQt::Connection::dispatchRead ()
   from /usr/lib/kde3/kopete_skype.so
#16 0xb51145a6 in DBusQt::Connection::qt_invoke ()
   from /usr/lib/kde3/kopete_skype.so
#17 0xb6909704 in QObject::activate_signal (this=0x814a710, clist=0xb3f3ed0, 
    o=0xbfaffd68) at kernel/qobject.cpp:2359
#18 0xb690a1e9 in QObject::activate_signal (this=0x814a710, signal=2)
    at kernel/qobject.cpp:2328
#19 0xb5116959 in DBusQt::Internal::Integrator::readReady ()
   from /usr/lib/kde3/kopete_skype.so
#20 0xb51169bf in DBusQt::Internal::Integrator::slotRead ()
   from /usr/lib/kde3/kopete_skype.so
#21 0xb5116c92 in DBusQt::Internal::Integrator::qt_invoke ()
   from /usr/lib/kde3/kopete_skype.so
#22 0xb6909704 in QObject::activate_signal (this=0xb5f1be0, clist=0xa0b6118, 
    o=0xbfaffe90) at kernel/qobject.cpp:2359
#23 0xb690a051 in QObject::activate_signal (this=0xb5f1be0, signal=2, 
    param=14) at kernel/qobject.cpp:2452
#24 0xb6c99b99 in QSocketNotifier::activated (this=0xb5f1be0, t0=14)
    at .moc/debug-shared-mt/moc_qsocketnotifier.cpp:85
#25 0xb692b766 in QSocketNotifier::event (this=0xb5f1be0, e=0xbfb001a0)
    at kernel/qsocketnotifier.cpp:261
#26 0xb689dc36 in QApplication::internalNotify (this=0xbfb00464, 
    receiver=0xb5f1be0, e=0xbfb001a0) at kernel/qapplication.cpp:2638
#27 0xb689fa5f in QApplication::notify (this=0xbfb00464, receiver=0xb5f1be0, 
    e=0xbfb001a0) at kernel/qapplication.cpp:2361
#28 0xb705e9b2 in KApplication::notify (this=0xbfb00464, receiver=0xb5f1be0, 
    event=0xbfb001a0)
    at /build/buildd/kdelibs-3.5.10/./kdecore/kapplication.cpp:550
#29 0xb682e28d in QApplication::sendEvent (receiver=0xb5f1be0, 
    event=0xbfb001a0) at ../include/qapplication.h:523
#30 0xb688fb4a in QEventLoop::activateSocketNotifiers (this=0x816f898)
    at kernel/qeventloop_unix.cpp:581
#31 0xb6843630 in QEventLoop::processEvents (this=0x816f898, flags=4)
    at kernel/qeventloop_x11.cpp:386
#32 0xb68b8f90 in QEventLoop::enterLoop (this=0x816f898)
    at kernel/qeventloop.cpp:201
#33 0xb68b8c8e in QEventLoop::exec (this=0x816f898)
    at kernel/qeventloop.cpp:148
#34 0xb689f7df in QApplication::exec (this=0xbfb00464)
    at kernel/qapplication.cpp:2761
#35 0x0807fc73 in main (argc=)
    at /build/buildd/kdenetwork-3.5.10/./kopete/kopete/main.cpp:107
Comment 49 Pali Rohár 2008-10-06 08:05:46 UTC
on my pc this plugin has never crashed. But I see it is error in DBusQt::Connection. New KDE4 use Qt4 and here is QtDBus::Connection and qt4 fix a lot of errors. Maybe in KDE4...

Is this plugin on your pc useable? Or it crashed stil, when you start kopete?

I'm stil trying port to KDE4.
Comment 50 m.wege 2008-10-06 08:16:19 UTC
Apart from this crash, which appeared after resuming, it works nearly perfekt.
Comment 51 m.wege 2008-10-06 21:02:30 UTC
Another crash of kopete after going offline with skype (from within Kopete) and going online (in invisible mode) again:
[Thread debugging using libthread_db enabled]
[New Thread 0xb600c6c0 (LWP 19483)]
[KCrash handler]
#6  0xb6bbd683 in QGDict::unlink_int (this=0x9e91668, key=14, d=0x0)
    at tools/qgdict.cpp:632
#7  0xb6bbd742 in QGDict::take_int (this=0x9e91668, key=14)
    at tools/qgdict.cpp:746
#8  0xb50d0640 in DBusQt::Internal::Integrator::removeWatch ()
   from /usr/lib/kde3/kopete_skype.so
#9  0xb50d06b4 in DBusQt::Internal::dbusRemoveWatch ()
   from /usr/lib/kde3/kopete_skype.so
#10 0xb5069ff5 in ?? () from /usr/lib/libdbus-1.so.3
#11 0xb50681df in ?? () from /usr/lib/libdbus-1.so.3
#12 0xb5050781 in dbus_connection_set_watch_functions ()
   from /usr/lib/libdbus-1.so.3
#13 0xb50d1673 in DBusQt::Internal::Integrator::Integrator ()
   from /usr/lib/kde3/kopete_skype.so
#14 0xb50cdfca in DBusQt::Connection::Private::setConnection ()
   from /usr/lib/kde3/kopete_skype.so
#15 0xb50ce29d in DBusQt::Connection::Connection ()
   from /usr/lib/kde3/kopete_skype.so
#16 0xb50d5066 in SkypeConnection::connectSkype ()
   from /usr/lib/kde3/kopete_skype.so
#17 0xb50cbfdc in Skype::queueSkypeMessage ()
   from /usr/lib/kde3/kopete_skype.so
#18 0xb50cc9de in Skype::setInvisible () from /usr/lib/kde3/kopete_skype.so
#19 0xb50ac0e3 in SkypeAccount::setOnlineStatus ()
   from /usr/lib/kde3/kopete_skype.so
#20 0xb7e61732 in Kopete::Account::qt_invoke (this=0x9beaef8, _id=9, 
    _o=0xbfa76034) at ./kopeteaccount.moc:242
#21 0xb50a9472 in SkypeAccount::qt_invoke ()
   from /usr/lib/kde3/kopete_skype.so
#22 0xb68c4704 in QObject::activate_signal (this=0x9cc8e30, clist=0x9af7a40, 
    o=0xbfa76034) at kernel/qobject.cpp:2359
#23 0xb7e3296e in Kopete::OnlineStatusAction::activated (this=0x9cc8e30, 
    t0=@0x9cc8e60) at ./kopeteonlinestatusmanager.moc:196
#24 0xb7e32a24 in Kopete::OnlineStatusAction::slotActivated (this=0x9cc8e30)
    at /build/buildd/kdenetwork-3.5.10/./kopete/libkopete/kopeteonlinestatusmanager.cpp:427
#25 0xb732cb9d in KAction::slotPopupActivated (this=0x9cc8e30)
    at /build/buildd/kdelibs-3.5.10/./kdeui/kaction.cpp:1137
#26 0xb732ce83 in KAction::qt_invoke (this=0x9cc8e30, _id=16, _o=0xbfa76188)
    at ./kaction.moc:219
#27 0xb7e27c1a in Kopete::OnlineStatusAction::qt_invoke (this=0x9cc8e30, 
    _id=16, _o=0xbfa76188) at ./kopeteonlinestatusmanager.moc:204
#28 0xb68c4704 in QObject::activate_signal (this=0x9d67620, clist=0x9b239f8, 
    o=0xbfa76188) at kernel/qobject.cpp:2359
#29 0xb6c53aba in QSignal::signal (this=0x9d67620, t0=@0x9d67648)
    at .moc/debug-shared-mt/moc_qsignal.cpp:100
#30 0xb68e37b2 in QSignal::activate (this=0x9d67620) at kernel/qsignal.cpp:215
#31 0xb69e8690 in QPopupMenu::mouseReleaseEvent (this=0x9feb8b8, e=0xbfa76660)
    at widgets/qpopupmenu.cpp:1700
#32 0xb7207c62 in KPopupMenu::mouseReleaseEvent (this=0x9feb8b8, e=0xbfa76660)
    at /build/buildd/kdelibs-3.5.10/./kdeui/kpopupmenu.cpp:508
#33 0xb68fae33 in QWidget::event (this=0x9feb8b8, e=0xbfa76660)
    at kernel/qwidget.cpp:4705
#34 0xb6858c36 in QApplication::internalNotify (this=0xbfa76be4, 
    receiver=0x9feb8b8, e=0xbfa76660) at kernel/qapplication.cpp:2638
#35 0xb685ade5 in QApplication::notify (this=0xbfa76be4, receiver=0x9feb8b8, 
    e=0xbfa76660) at kernel/qapplication.cpp:2424
#36 0xb70199b2 in KApplication::notify (this=0xbfa76be4, receiver=0x9feb8b8, 
    event=0xbfa76660)
    at /build/buildd/kdelibs-3.5.10/./kdecore/kapplication.cpp:550
#37 0xb67e9301 in QApplication::sendSpontaneousEvent (receiver=0x9feb8b8, 
    event=0xbfa76660) at kernel/qapplication.h:526
#38 0xb67e7c6a in QETWidget::translateMouseEvent (this=0x9feb8b8, 
    event=0xbfa76aa8) at kernel/qapplication_x11.cpp:4248
#39 0xb67e612f in QApplication::x11ProcessEvent (this=0xbfa76be4, 
    event=0xbfa76aa8) at kernel/qapplication_x11.cpp:3483
#40 0xb67fd943 in QEventLoop::processEvents (this=0x8170738, flags=4)
    at kernel/qeventloop_x11.cpp:195
#41 0xb6873f90 in QEventLoop::enterLoop (this=0x8170738)
    at kernel/qeventloop.cpp:201
#42 0xb6873c8e in QEventLoop::exec (this=0x8170738)
    at kernel/qeventloop.cpp:148
#43 0xb685a7df in QApplication::exec (this=0xbfa76be4)
    at kernel/qapplication.cpp:2761
#44 0x0807fc73 in main (argc=166242656, argv=0xb50d10a0)
    at /build/buildd/kdenetwork-3.5.10/./kopete/kopete/main.cpp:107
Comment 52 Pali Rohár 2008-10-17 15:09:50 UTC
I upload my sources of skype protocol for KDE4 on svn: /trunk/playground/network/kopete/protocols/skype

It has a lot of bugs:
-it cant receive dbus messeges from skype, so kopete doesnt show any changes in skype (user changes online status, user send me chat message)
-doesnt work right button action menu for skype contact
-it doesnt work to change skype online status
-and a lot of...
Comment 53 Pali Rohár 2008-11-04 16:12:31 UTC
now works receiving messages from skype and starting skype.
work right menu button and changing online status, ...
all info in TODO file
Comment 54 m.wege 2008-11-04 16:57:53 UTC
If you could provide some instructions on how to install it or a deb-file, would be very helpful. So far I have failed to install Kubuntu Intreped, but I try again and hope to have an KDE4 testing environment running asap.
Comment 55 Pali Rohár 2008-11-04 17:16:20 UTC
you can download skype for kopete kde4 from kde svn:
svn co svn://anonsvn.kde.org/home/kde/trunk/playground/network/kopete/protocols/skype
all next build instruction is in README file.
for update code from svn use: svn up
Comment 56 Andreas Kuhl 2008-11-04 17:27:29 UTC
I got the following build errors:

In file included from ~/skype/libskype/skype.cpp:22:
~/skype/skypeaccount.h:23:27: error: kopeteaccount.h: file or directory not found
In file included from ~/skype/libskype/skype.cpp:22:
~/skype/skypeaccount.h:49: error: expected class-name before ‘{’ token
~/skype/skypeaccount.h:55: error: ‘Contact’ is not a member of ‘Kopete’
~/skype/skypeaccount.h:55: error: ‘Contact’ is not a member of ‘Kopete’
~/skype/skypeaccount.h:55: error: template argument 1 is invalid
~/skype/skypeaccount.h:356: error: expected unqualified-id before ‘&’ token
~/skype/skypeaccount.h:356: error: expected ‘,’ or ‘...’ before ‘&’ token
~/skype/skypeaccount.h:357: error: expected unqualified-id before ‘&’ token
~/skype/skypeaccount.h:357: error: expected ‘,’ or ‘...’ before ‘&’ token
~/skype/skypeaccount.h:49: warning: ‘class SkypeAccount’ has virtual functions and accessible non-virtual destructor
~/skype/skypeaccount.h:362: error: invalid use of incomplete type ‘struct Kopete::OnlineStatus’
~/skype/skypeaccount.h:35: error: forward declaration of ‘struct Kopete::OnlineStatus’
make[2]: *** [CMakeFiles/kopete_skype.dir/libskype/skype.o] error 1
make[1]: *** [CMakeFiles/kopete_skype.dir/all] error 2
make: *** [all] error 2
Comment 57 Pali Rohár 2008-11-04 17:50:23 UTC
you must installed kopete headers and kopete libs. On kubuntu intrepid install package kdenetwork-dev. On kubuntu hardy install kdenetwork-kde4-dev
Comment 58 Andreas Kuhl 2008-11-04 18:04:15 UTC
The plugin builds now and is available as Kopete protocol, great! But when I add the protocol to my identity, it does not show up in the list of available accounts. What do I miss?
Comment 59 m.wege 2008-11-06 08:28:28 UTC
I have installed it as instructed within Kubuntu Intrepid. It appears as a protocol. But when I set up the account, the account does not appear. Kopete simply looks like I did not set up the skype protocol. Any ideas what could be wrong?
BTW: In the protocol list there is this text in brackets "(only a wrapper)". I do not know if this understood by everyone. I would suggest either to try to detect if Skype is installed or not and then give an error or to change the text there. May be (needs original skype installed). Ok, thats too long.
Hey and BTW thanks for your efforts. This is really great.

Comment 60 Pali Rohár 2008-11-07 18:20:30 UTC
it is bug in registring account.
change ~/.kde/share/config/kopeterc
(on hardy is ~/.kde4/... ):
"
[Account_SkypeProtocol_]
"
to:
"
[Account_SkypeProtocol_Skype]
AccountId=Skype
Protocol=SkypeProtocol
"
and then it works

later I fix on svn
Comment 61 Andreas Kuhl 2008-11-07 18:58:35 UTC
Ok, your hotfix works for me: I see the skype account now in the accounts list and I can connect to it. Chatting works too. Only flaw: When I tree to open an skype user profile in Kopete, the whole app crashes.
Comment 62 m.wege 2008-11-07 19:15:01 UTC
I can see the account now, but only offline contacts are shown. Online contacts definitely exist as I can see them in the parallel running Skype app.

BTW: I do not know if possible, but it would be really cool, if this could be part of KDE 4.2.
Comment 63 Pali Rohár 2008-11-07 20:16:34 UTC
I know. Kopete crashed when you click on contact properties button or you if have in(out)comming call and you have set up call control. It is because contact properties dialog and call dialog is not ported to kde4. For more info see TODO file.
Comment 64 Pali Rohár 2008-11-07 20:37:23 UTC
I fix bug of adding account and crashing kopete. Adding account now works. Call control and contact info stil not works, but kopete dont crash.
It is fixed on svn.
Comment 65 m.wege 2008-11-07 23:35:17 UTC
I have some suggestions for the Todo-List:
- Import chat history from Skype
- Group chat support
- May be it would be a cool feature to allow to call any contacts from with a phone no in Kadressbook via Skype 
BTW: Some features on the ToDo-List currently do not exist in the Linux version of Skype:
- SMS
- group support
BTW: I do not if it is still the case, but as I remember one of the Skype devs is a former KDE dev (from Akregator, I think), so I guess if there is some where you need input from Skype this would be a way to go.
Comment 66 Pali Rohár 2008-11-08 10:17:08 UTC
I know, linux skype gui doesnt support sms and skype, but skype public api (this use skype protocol) support it (for more info look https://developer.skype.com/Docs/ApiDoc/FrontPage). I test it with linux skype-x11-client on https://developer.skype.com/Docs/ApiDoc/Skype_API_on_Linux and it show me groups

A lot of linux skype extras is on page http://forum.skype.com/index.php?showtopic=98654
For example sms support and kontact (kaddressbook) integration what you want.

Later I maybe create kaddressbook integration with kopete-skype (not only with skype)

For history import, I dont see any command in skype api (on page https://developer.skype.com/Docs/ApiDoc/FrontPage) so I cant implement it
Chat history is saved in ~/.Skype/<skypeuser>/chatsync but in binary format - it is not useable
Comment 67 m.wege 2008-11-08 16:26:26 UTC
I have posted a wish on the Skype bugtracking system requesting im/export capabilities via the Skype API
https://developer.skype.com/jira/browse/SPA-596
Comment 68 m.wege 2008-11-09 09:21:25 UTC
I have run the updated version from svn. Problems so far: Skype is offline in Kopete even though it is online when starting with the Skype client already running. Contacts who are already online do not appear online. Only contacts which become online after Kopete start, are shown as online.
Comment 69 Pali Rohár 2008-11-25 18:33:28 UTC
I dont have these problems with latest skype and kopete from svn. Try upgrade skype to version 2.0.0.72 and remove kopete configs files (stored in ~/.kde/share/kopete* and ~/.kde/share/config/kopete*). Dont forget backed up it. Then upgrade from svn kopete, skype protocol and add skype account in kopete.
If you have stil these problems, compile protocol in debug mode and send kopete output.
Comment 70 m.wege 2008-11-27 12:15:29 UTC
I will try it as soon as 4.2 Beta packages for Kubuntu are out. Compiling KDE unfortunately does not work for me.
Comment 71 Pali Rohár 2008-11-27 18:58:47 UTC
I create support for skype group. Now skype contacts in kopete show in skype named group and user can move contact between group (it moves in skype too). It see in windows skype version. (Linux gui skype doesnt support groups, but skype public API support).

It is uploaded on svn
Comment 72 m.wege 2008-12-04 23:35:04 UTC
I have tried with new Kubuntu 4.2 beta 1 packages + removing all configs +  updating + compiling plugin from svn. The described problem (contacts do not appear) if skype is already running. But they appear if you turn skype in Kopete offline and then online.
Please tell me how to 
"If you have stil these problems, compile protocol in debug mode and send kopete output." 
I can do this then. Alternatively I guess an easy workaround for the plugin would be to send skype offline automaticly and then back to existing status when the plugin starts. This should fix this problem I would assume, since it works manually.
Comment 73 Pali Rohár 2008-12-05 14:21:43 UTC
If you have latest kopete from svn, latest skype protocol from svn and dynamic linked skype 2.0.0.72, I don't know where is problem. Try set up in kopete: show offline user and show empty groups. Maybe this help.

For compiling skype protocol in debug mode:
1. download skype protocol from svn (svn co svn://anonsvn.kde.org/home/kde/trunk/playground/network/kopete/protocols/skype )
2. create build dir (mkdir build)
3. in build dir, run cmake with debug make type: cmake -DCMAKE_BUILD_TYPE=Debug -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` ..
4. compile and install (make && sudo make install)

start kopete on konsole without autoconnect and without plugins:
kopete --nofork --noconnect --noplugin

login only on skype and send me output from konsole, when you see this error again.
Comment 74 Pali Rohár 2008-12-23 09:03:19 UTC
I implement new fastest support for skype groups.

I found two bugs (with online status):
1. If you first start skype protocol in kopete, all skype contacts are offline. You must restart Kopete to fix it.
2. If skype protocol move contact to kopete group, this contact kopete hide. You must click to button Show Offline Contacts and then ckick again to hide offline. Then all skype online contacts kopete show correct
Comment 75 Andreas Kuhl 2008-12-23 12:47:10 UTC
On KDE 4.2 Beta 2, the build fails:
----
CMake Error at /usr/share/cmake/Modules/FindKDE4.cmake:84 (MESSAGE):
  ERROR: cmake/modules/FindKDE4Internal.cmake not found in
  /home/ademmer/.kde4/share/apps;/usr/share/kde4/apps;/etc/kde4/share/apps
Call Stack (most recent call first):
  CMakeLists.txt:3 (find_package)
----
Comment 76 Pali Rohár 2008-12-23 16:05:01 UTC
you must install all kde4.2 beta2 libs and headers files. I have Kubuntu 8.10 64 bit with kde4.2 beta2. I've installed package kdelibs5-dev

Check if you have installed file FindKDE4Internal.cmake in /usr/share/kde4/apps/cmake/modules/
Comment 77 Andreas Kuhl 2008-12-25 23:11:11 UTC
The plugin builds fine under KDE 4.2 Beta 2 on openSUSE 11.1, the needed packages were kdepimlibs4-devel and kdebase4-workspace-devel.

One bug I encounter: Skype for Linux has no Groups. So when I move Skype contacts in Kopete groups, they are automatically moved out of any group the next time Kopete closes and starts again. The older version worked well before you implemented Skype groups...

Any workaround for this?
Comment 78 Pali Rohár 2008-12-26 10:43:10 UTC
Skype protocol automaticly delete empty skype groups. So If you create new skype group, it automaticly delete it.

I disabled automaticly delete empty skype groups, so now it works. It is updateted on svn.

I fix it properly later.
Comment 79 Andreas Kuhl 2008-12-26 10:59:08 UTC
I recompiled from trunk and can confirm that the "empty groups" problem seems to be fixed now, thx!
Comment 80 Pali Rohár 2008-12-26 11:01:13 UTC
No, it is not fixed. Removing empty groups is only disabled. I fix it later.
Comment 81 m.wege 2009-01-06 15:44:56 UTC
Skype delevelopers have answered my request about allowing the API to export older chat messages:
https://developer.skype.com/jira/browse/SPA-596?page=comments#action_31156
They say that it is already possible but "not as straight forward as you might want it to be." What ever this means.
Comment 82 Pali Rohár 2009-01-07 08:42:41 UTC
Ok thanks.
This commands can browse for all messages, so it import all messages (not only "old messages" which is not in kopete). For import messages, which is not in kopete, I need check if message is saved in history plugin or no.

I do it later. (it is not simply)
Comment 83 m.wege 2009-01-08 07:38:17 UTC
At the moment I can not test the actual version, since I am stuck to KDE3 and i can not get a decent KDE4.2beta running on my system. 
But I have another sugestion, which may not be realised yet. I just noticed that the plugin also shows Skype out contacts, which might not be so useful. It would be good to have an option ("do not show skypeout contacts in contactlist" alternatively: "show skypeout contacts always as offline contacts"). What be a very cool feature concerning skype out: The ability to call any contact from Kaddressbook via Skypeout in Kopete. It would be also cool to if by clicking on a phonenumber in Kaddressbook every contact could be called via KopeteSkype.
Comment 84 Pali Rohár 2009-01-08 13:15:43 UTC
So, I can add option "show skypeout contacts always as offline contacts" and it possilbe to add option "Make skype call" in kaddressbook via dbus.

In kaddressbook is option to call command, so it can be set do dbus call
Comment 85 m.wege 2009-01-09 09:04:10 UTC
That is really great. I am looking forward to see this working. Another idea I had: Using emailaddresses in Kaddressbook to search for new skype contacts. Skype for windows has this (with csv), Skype for Linux has not. There is only the possibility to search for one emailaddress at a time. But if the Skype API is able to provide search it may be possible.
Ideas for that:
GUI of Kopete shouldn't be blocked during this search, since it can take a long time.
If there is more then one emailaddress stored in a contact they all should be tested.
If there is already a skype contact in a Kaddressbookcontact it could be skipped to save time.
May be this could be implemented in a way that this way of searching can also be used by other messengers which allow search for contacts by emailaddress (at least ICQ does)
Comment 86 Pali Rohár 2009-01-09 14:08:22 UTC
In current version of this skype protocol is not able to search skype contact (only add if you know skype name). So I dont know if it is possible.
Comment 87 m.wege 2009-01-09 14:38:59 UTC
I have added a request for adding this to the skype api:
https://developer.skype.com/jira/browse/SPA-612
Comment 88 Malin 2009-01-09 16:31:37 UTC
I followed Pali's suggestion from comment #43, and it works fine - thank you!

However, the Swedish characters (å,ä,ö) are not displayed properly. I only have this problem for the skype conversations - msn, google talk, etc. are displaying them correctly. Also, if I open the conversation in the skype window (even though I type in the kopete window), there the characters are - correctly displayed. I imagine this is the about the dBus character encoding, but I am not sure how/if I can fix it. I suppose this is the same problem as with special characters in other languages. 
Anyone have a clue what the problem actually is, and/or how to fix this?

Comment 89 Pali Rohár 2009-01-09 17:08:28 UTC
kde3 version is not supported. In kde4 version is this fixed (kopete use utf8 encoding, dbus too utf8 and skype client too). So install kde4 version from svn.
Comment 90 Malin 2009-01-09 22:14:25 UTC
(In reply to comment #89)
> kde3 version is not supported. In kde4 version is this fixed (kopete use utf8
> encoding, dbus too utf8 and skype client too). So install kde4 version from
> svn.
> 

Thanks so much, it all works fine now! (Apart from my desktop looking like crap. ;) )
Comment 91 Pali Rohár 2009-01-16 14:39:33 UTC
(In reply to comment #80)
> No, it is not fixed. Removing empty groups is only disabled. I fix it later.
> 

I fix and enable removing empty groups and merge groups with same name.
Comment 92 m.wege 2009-01-17 09:08:57 UTC
I have finally got KDE4 working and have compiled the plugin as instructed. The problem is still the same, but I have tracked it down a little more: On start of kopete, skype does not show the contacts, even though skype is already started and logged in. On further investigation it turns out, that skype is not started even though this is set in the configuration. The funny thing: If I choose to go online with skype manually in kopete, skype is started or (if already started) contacts are shown.
I have used "kopete --nofork --noconnect --noplugin" as instructed, but his does not work. It says: "kopete: Unbekannte Option „plugin“." (Unbekannt=unknown). I have got an output without using "--noplugin", but this contains my skype contact list, so I would prefer mailing it personally, if you agree.
Comment 93 m.wege 2009-01-17 09:14:22 UTC
I forgot to ask: Will the skype plugin be part of the 4.2 release? Apart from this bug, it looks stable enough.
Comment 94 Pali Rohár 2009-01-17 11:02:04 UTC
(In reply to comment #93)
> I forgot to ask: Will the skype plugin be part of the 4.2 release? Apart from
> this bug, it looks stable enough.
> 

No. It is too late for 4.2
Comment 95 Pali Rohár 2009-01-17 11:13:15 UTC
(In reply to comment #92)
> I have finally got KDE4 working and have compiled the plugin as instructed. The
> problem is still the same, but I have tracked it down a little more: On start
> of kopete, skype does not show the contacts, even though skype is already
> started and logged in. On further investigation it turns out, that skype is not
> started even though this is set in the configuration. The funny thing: If I
> choose to go online with skype manually in kopete, skype is started or (if
> already started) contacts are shown.
> I have used "kopete --nofork --noconnect --noplugin" as instructed, but his
> does not work. It says: "kopete: Unbekannte Option „plugin“."
> (Unbekannt=unknown). I have got an output without using "--noplugin", but this
> contains my skype contact list, so I would prefer mailing it personally, if you
> agree.
> 

Install this plugin in debug mode (comment #73) from svn
Start kopete on konsole:
$ kopete --noconnect --noplugins --nofork
go online in skype protocol and send me output

* It is --noplugins (I forget "s" in comment #73)
Comment 96 fwilly 2009-02-03 17:03:23 UTC
Hello,

I have the same problems how above: "Could not find skype" with Gentoo under AMD64 and kde-svn. Here the output:

# kopete --nofork --noconnect --noplugins
kopete(3715) Kopete::IdentityManager::load: Created identity  "T9Vzgtza40"
kopete(3715) Kopete::IdleTimer::IdleTimer: Using platform idle timer      
QEventDispatcherUNIX::unregisterTimer: invalid argument                   
QObject::connect: Connecting from COMPAT signal (KAction::activated())    
Calling appendChild() on a null node does nothing.                        
kopete(3715) SkypeProtocol::SkypeProtocol:                                
kopete(3715) SkypeProtocol::updateCallActionStatus:                       
kopete(3715) SkypeProtocol::createNewAccount:                             
kopete(3715) SkypeAccount::SkypeAccount:                                  
kopete(3715) SkypeProtocol::registerAccount:                              
kopete(3715) Skype::Skype:                                                
kopete(3715) SkypeConnection::SkypeConnection:                            
kopete(3715) Skype::enablePings:                                          
kopete(3715) SkypeContact::SkypeContact:                                  
kopete(3715) SkypeAccount::prepareContact:                                
kopete(3715) SkypeConnection::connected:                                  
kopete(3715) SkypeProtocol::updateCallActionStatus:                       
kopete(3715) Skype::ableConference:                                       
kopete(3715) SkypeConnection::connected:                                  
kopete(3715) Skype::setValues:                                            
kopete(3715) Skype::enablePings:                                          
Calling appendChild() on a null node does nothing.                        
QFSFileEngine::open: No file name specified                               
Calling appendChild() on a null node does nothing.                        
Calling appendChild() on a null node does nothing.                        
kopete(3715) SkypeAccount::hasCustomStatusMenu:                           
kopete(3715) SkypeAccount::fillActionMenu:                                
kopete(3715) Skype::setOnline:                                            
kopete(3715) Skype::queueSkypeMessage:                                    
kopete(3715) SkypeConnection::connected:                                  
kopete(3715) SkypeAccount::statusConnecting:                              
kopete(3715) SkypeConnection::connected:                                  
kopete(3715) SkypeProtocol::updateCallActionStatus:                       
kopete(3715) Skype::ableConference:                                       
kopete(3715) SkypeProtocol::updateCallActionStatus:                       
kopete(3715) Skype::ableConference:                                       
kopete(3715) SkypeConnection::connectSkype:                               
kopete(3715) SkypeConnection::connectSkype:  Starting skype process "skype" with parms ()
kopete(3715) SkypeConnection::connectSkype:  Skype process state: 2 Skype process error: 5
kopete(3715) SkypeConnection::tryConnect:                                                 
   << This row is repeated 29  times. >>
kopete(3715) Skype::error:
kopete(3715) SkypeConnection::disconnectSkype:
kopete(3715) Skype::connectionDone:
kopete(3715) Skype::closed:
kopete(3715) SkypeAccount::wentOffline:
kopete(3715) SkypeConnection::connected:
kopete(3715) SkypeProtocol::updateCallActionStatus:
kopete(3715) Skype::ableConference:
kopete(3715) SkypeProtocol::updateCallActionStatus:
kopete(3715) Skype::ableConference:
kopete(3715) Skype::closed:
kopete(3715) SkypeAccount::wentOffline:
kopete(3715) SkypeProtocol::updateCallActionStatus:
kopete(3715) Skype::ableConference:
kopete(3715) Skype::connectionDone:
kopete(3715) Skype::closed:
kopete(3715) SkypeAccount::wentOffline:
kopete(3715) SkypeProtocol::updateCallActionStatus:
kopete(3715) Skype::ableConference:
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x24005ea

Any idea?
Comment 97 Pali Rohár 2009-02-03 17:18:41 UTC
Hello,
You need dynamic linked skype version. On amd64 you must download 32bit libs for dynamic version too.

Static version doesnt have dbus support to communicate with other programs (with Kopete too).

kopete(3715) SkypeConnection::connectSkype:  Skype process state: 2 Skype
process error: 5 --> This means: Skype success stared without errors and doesnt crashed, so this is OK
Comment 98 Pali Rohár 2009-02-09 07:58:19 UTC
I've added support for sending files and protocol is moved to kdereview.
Comment 99 Andreas Kuhl 2009-02-09 08:25:15 UTC
Should sending files already work? I checked out from kdereview, built and installed it, but "Send File..." is still disabled in context-menu, drag'n'drop onto the chat window does not work either.
Comment 100 Pali Rohár 2009-02-09 08:29:34 UTC
If I right click on skype contact protocol I have enabled option "Send file" and it open skype send file dialog. For me it works.

Try full remove skype protocol from system, update from kdereview, build in debug mode, install and send me (debug) output.
Comment 101 Andreas Kuhl 2009-02-09 08:49:59 UTC
After a complete uninstall by hand and a fresh build and reinstall afterwards, file transferring works just fine.

Great job, thank you! :-)
Comment 102 BlaueNuss 2009-02-11 15:30:03 UTC
svn://anonsvn.kde.org/home/kde/trunk/playground/network/kopete/protocols/skype 

this folder does not exist...
Comment 103 Pali Rohár 2009-02-11 15:32:36 UTC
(In reply to comment #98)
> I've added support for sending files and protocol is moved to kdereview.
> 

kdereview: svn://anonsvn.kde.org/home/kde/trunk/kdereview/kopete/protocols/skype
Comment 104 BlaueNuss 2009-02-11 15:48:11 UTC
great! works now. many thanks!
Comment 105 Wolfgang Groiss 2009-03-04 14:13:55 UTC
I'm not sure whether this is a known issue, and i haven't diagnosed it further than noticing its existance, but:

Kopete crashes when a skype message from a multi-user chat comes in.

$ kopete --version
Qt: 4.5.0-rc1
KDE: 4.2.00 (KDE 4.2.0)
Kopete: 0.70.0

/opt/skype/skype --version
Skype 2.0.0.72
Copyright (c) 2004-2007, Skype Limited

plugin recently (like last week or so) built from a fresh svn checkout


log output

kopete(28589) Skype::skypeMessage:
kopete(28589) SkypeConnection::send:
kopete(28589) SkypeConnection::operator%:  Send message: "PING"
kopete(28589) SkypeConnection::operator%: Reply message: "PONG"
kopete(28589) SkypeConnection::parseMessage:
kopete(28589) Skype::skypeMessage:
kopete(28589) SkypeConnection::Notify:  Got message: "CHATMESSAGE 1613 STATUS SENDING"
kopete(28589) SkypeConnection::parseMessage:
kopete(28589) Skype::skypeMessage:
kopete(28589) SkypeConnection::operator%:  Send message: "GET CHATMESSAGE 1613 TYPE"
kopete(28589) SkypeConnection::operator%: Reply message: "CHATMESSAGE 1613 TYPE SAID"
kopete(28589) SkypeConnection::operator%:  Send message: "GET CHATMESSAGE 1613 TYPE"
kopete(28589) SkypeConnection::operator%: Reply message: "CHATMESSAGE 1613 TYPE SAID"
kopete(28589) SkypeConnection::send:
kopete(28589) SkypeConnection::operator%:  Send message: "PING"
kopete(28589) SkypeConnection::operator%: Reply message: "PONG"
kopete(28589) SkypeConnection::parseMessage:
kopete(28589) Skype::skypeMessage:
kopete(28589) SkypeConnection::Notify:  Got message: "CHAT #reisinger104/$stiftner84;6de40572858a7605 ACTIVITY_TIMESTAMP 1236172275"
kopete(28589) SkypeConnection::parseMessage:
kopete(28589) Skype::skypeMessage:
kopete(28589) SkypeConnection::Notify:  Got message: "CHATMESSAGE 1613 STATUS SENT"
kopete(28589) SkypeConnection::parseMessage:
kopete(28589) Skype::skypeMessage:
kopete(28589) SkypeConnection::operator%:  Send message: "GET CHATMESSAGE 1613 TYPE"
kopete(28589) SkypeConnection::operator%: Reply message: "CHATMESSAGE 1613 TYPE SAID"
kopete(28589) SkypeConnection::operator%:  Send message: "GET CHATMESSAGE 1613 TYPE"
kopete(28589) SkypeConnection::operator%: Reply message: "CHATMESSAGE 1613 TYPE SAID"
kopete(28589) SkypeConnection::operator%:  Send message: "GET CHATMESSAGE 1613 CHATNAME"
kopete(28589) SkypeConnection::operator%: Reply message: "CHATMESSAGE 1613 CHATNAME #reisinger104/$stiftner84;6de40572858a7605"
kopete(28589) SkypeConnection::operator%:  Send message: "GET CHATMESSAGE 1613 BODY"
kopete(28589) SkypeConnection::operator%: Reply message: "CHATMESSAGE 1613 BODY test"
kopete(28589) SkypeAccount::sentMessage:  chat:  "#reisinger104/$stiftner84;6de40572858a7605"
kopete(28589) Skype::getChatUsers:
kopete(28589) SkypeConnection::operator%:  Send message: "GET CURRENTUSERHANDLE"
kopete(28589) SkypeConnection::operator%: Reply message: "CURRENTUSERHANDLE wolfganggroiss"
kopete(28589) SkypeConnection::operator%:  Send message: "GET CHAT #reisinger104/$stiftner84;6de40572858a7605 MEMBERS"
kopete(28589) SkypeConnection::operator%: Reply message: "CHAT #reisinger104/$stiftner84;6de40572858a7605 MEMBERS indeterminatus karstenfehre reisinger104 stiftner84 wolfganggroiss"
kopete(28589) SkypeChatSession::SkypeChatSession:
kopete(28589) SkypeChatSessionPrivate::SkypeChatSessionPrivate:
Segmentation fault (core dumped)


i don't have the faintest idea how to extract any useful info from the .crash file, so i'd need some guidance there.


btw... thanks a lot for your work, Pali
Comment 106 Pali Rohár 2009-03-04 15:15:32 UTC
Hello,
I'm using multichat, but kopete never crashed in multichat.
From lines
kopete(28589) SkypeChatSessionPrivate::SkypeChatSessionPrivate:
Segmentation fault (core dumped)
I see, it is chat session class.
How many times kopete crashed with this error?
Update from svn kopete and skype protocol, compile skype protocol in debug mode and ran it in gdb and send me backtrace (if crashed).
Comment 107 Wolfgang Groiss 2009-03-04 16:12:46 UTC
(in reply to #106)

kopete(418) Skype::skypeMessage:                             
kopete(418) SkypeConnection::Notify:  Got message: "CHAT #stiftner84/$wolfganggroiss;ece593482904d533 ACTIVITY_TIMESTAMP 1236179521"
kopete(418) SkypeConnection::parseMessage:                                                                                          
kopete(418) Skype::skypeMessage:                                                                                                    
kopete(418) SkypeConnection::Notify:  Got message: "CHATMESSAGE 1847 STATUS SENDING"                                                
kopete(418) SkypeConnection::parseMessage:                                                                                          
kopete(418) Skype::skypeMessage:                                                                                                    
kopete(418) SkypeConnection::operator%:  Send message: "GET CHATMESSAGE 1847 TYPE"                                                  
kopete(418) SkypeConnection::operator%: Reply message: "CHATMESSAGE 1847 TYPE SAID"                                                 
kopete(418) SkypeConnection::operator%:  Send message: "GET CHATMESSAGE 1847 TYPE"                                                  
kopete(418) SkypeConnection::operator%: Reply message: "CHATMESSAGE 1847 TYPE SAID"                                                 
kopete(418) SkypeConnection::Notify:  Got message: "CHATMESSAGE 1847 STATUS SENT"                                                   
kopete(418) SkypeConnection::parseMessage:                                                                                          
kopete(418) Skype::skypeMessage:
kopete(418) SkypeConnection::operator%:  Send message: "GET CHATMESSAGE 1847 TYPE"
kopete(418) SkypeConnection::operator%: Reply message: "CHATMESSAGE 1847 TYPE SAID"
kopete(418) SkypeConnection::operator%:  Send message: "GET CHATMESSAGE 1847 TYPE"
kopete(418) SkypeConnection::operator%: Reply message: "CHATMESSAGE 1847 TYPE SAID"
kopete(418) SkypeConnection::operator%:  Send message: "GET CHATMESSAGE 1847 CHATNAME"
kopete(418) SkypeConnection::operator%: Reply message: "CHATMESSAGE 1847 CHATNAME #stiftner84/$wolfganggroiss;ece593482904d533"
kopete(418) SkypeConnection::operator%:  Send message: "GET CHATMESSAGE 1847 BODY"
kopete(418) SkypeConnection::operator%: Reply message: "CHATMESSAGE 1847 BODY test"
kopete(418) SkypeAccount::sentMessage:  chat:  "#stiftner84/$wolfganggroiss;ece593482904d533"
kopete(418) Skype::getChatUsers:
kopete(418) SkypeConnection::operator%:  Send message: "GET CURRENTUSERHANDLE"
kopete(418) SkypeConnection::operator%: Reply message: "CURRENTUSERHANDLE wolfganggroiss"
kopete(418) SkypeConnection::operator%:  Send message: "GET CHAT #stiftner84/$wolfganggroiss;ece593482904d533 MEMBERS"
kopete(418) SkypeConnection::operator%: Reply message: "CHAT #stiftner84/$wolfganggroiss;ece593482904d533 MEMBERS plazebo81 stiftner84 wolfganggroiss"
kopete(418) SkypeChatSession::SkypeChatSession:
kopete(418) SkypeChatSessionPrivate::SkypeChatSessionPrivate:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fb3aac11750 (LWP 418)]
0x00007fb3a6ed2c74 in QObject::disconnect () from /usr/lib/libQtCore.so.4
(gdb) bt
#0  0x00007fb3a6ed2c74 in QObject::disconnect () from /usr/lib/libQtCore.so.4
#1  0x00007fb397145189 in SkypeChatSession::disallowCall (this=0x2104f50) at /home/groiss/kopete-skype/skype/skypechatsession.cpp:224
#2  0x00007fb397145e63 in SkypeChatSession (this=0x2104f50, account=0x1708330, session=@0x7fffb2c4d550, users=<value optimized out>) at /home/groiss/kopete-skype/skype/skypechatsession.cpp:145
#3  0x00007fb3971313ae in SkypeAccount::sentMessage (this=0x1708330, body=@0x7fffb2c4d510, chat=@0x7fffb2c4d550) at /home/groiss/kopete-skype/skype/skypeaccount.cpp:716
#4  0x00007fb3971331a1 in SkypeAccount::qt_metacall (this=0x1708330, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffb2c4cf20) at /home/groiss/kopete-skype/skype/skypeaccount.moc:195
#5  0x00007fb3a6ed3132 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#6  0x00007fb39712273a in Skype::outgoingMessage (this=0x7fffb2c4cbc0, _t1=<value optimized out>, _t2=<value optimized out>) at /home/groiss/kopete-skype/skype/skype.moc:395
#7  0x00007fb39712a3c1 in Skype::skypeMessage (this=0x19400e0, message=<value optimized out>) at /home/groiss/kopete-skype/skype/libskype/skype.cpp:424
#8  0x00007fb39712c2a1 in Skype::qt_metacall (this=0x19400e0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffb2c4e2d0) at /home/groiss/kopete-skype/skype/skype.moc:204
#9  0x00007fb3a6ed3132 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#10 0x00007fb39711ee55 in SkypeConnection::received (this=0x7fffb2c4cbc0, _t1=<value optimized out>) at /home/groiss/kopete-skype/skype/skypeconnection.moc:140
#11 0x00007fb39711f1c8 in SkypeConnection::Notify (this=0x193fcd0, message=@0x2109920) at /home/groiss/kopete-skype/skype/libskype/skypedbus/skypeconnection.cpp:144
#12 0x00007fb397122577 in ClientAdaptor::qt_metacall (this=0x1bbd100, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fffb2c4e610) at /home/groiss/kopete-skype/skype/clientadaptor.moc:76
#13 0x00007fb3a71dbf83 in ?? () from /usr/lib/libQtDBus.so.4
#14 0x00007fb3a71dd2a8 in ?? () from /usr/lib/libQtDBus.so.4
#15 0x00007fb3a71dd8d1 in ?? () from /usr/lib/libQtDBus.so.4
#16 0x00007fb3a71ddbe8 in ?? () from /usr/lib/libQtDBus.so.4
#17 0x00007fb3a6ecd788 in QObject::event () from /usr/lib/libQtCore.so.4
#18 0x00007fb3a60ac8dd in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#19 0x00007fb3a60b4ada in QApplication::notify () from /usr/lib/libQtGui.so.4
#20 0x00007fb3a7a935fb in KApplication::notify () from /usr/lib/libkdeui.so.5
#21 0x00007fb3a6ebd69c in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#22 0x00007fb3a6ebe30a in QCoreApplicationPrivate::sendPostedEvents () from /usr/lib/libQtCore.so.4
#23 0x00007fb3a6ee7113 in ?? () from /usr/lib/libQtCore.so.4
#24 0x00007fb3a14d319a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#25 0x00007fb3a14d6870 in ?? () from /usr/lib/libglib-2.0.so.0
#26 0x00007fb3a14d6a0c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#27 0x00007fb3a6ee6d9f in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#28 0x00007fb3a6144d1f in ?? () from /usr/lib/libQtGui.so.4
#29 0x00007fb3a6ebbf42 in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#30 0x00007fb3a6ebc30d in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#31 0x00007fb3a6ebe5d4 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#32 0x0000000000449f8c in _start ()
(gdb)
Comment 108 Pali Rohár 2009-03-04 16:17:47 UTC
Thanks very much,
In multichat is dissabled call button (because group call wasn't ported yet to kde4).
#0  0x00007fb3a6ed2c74 in QObject::disconnect () from /usr/lib/libQtCore.so.4
#1  0x00007fb397145189 in SkypeChatSession::disallowCall (this=0x2104f50)
this disable call button and disconnect click signal. But it crashed. I fix it later.
Comment 109 Pali Rohár 2009-03-06 18:40:45 UTC
I fix it. Can you try if it works?
Comment 110 Wolfgang Groiss 2009-03-15 23:25:14 UTC
(In reply to comment #109)
> I fix it. Can you try if it works?

Thanks for the quick reaction (and sorry for my delayed reply), works flawlessly so far!

Wolfgang
Comment 111 Pali Rohár 2009-03-17 10:57:54 UTC
Fixed multichat:
- If you need to dont leave multichat after close chat window, set up it in accout settings.
- Added button invite people to chat

And this plugin was moved to kdenetwork, so it install automatically with kopete from svn
Comment 112 Pali Rohár 2009-03-17 18:04:40 UTC
And skype now quit after user quit kopete
Comment 113 Daniel Pelzl 2009-03-23 22:22:00 UTC
svn co svn://anonsvn.kde.org/home/kde/trunk/playground/network/kopete/protocols/skype
svn: Die URL »svn://anonsvn.kde.org/home/kde/trunk/playground/network/kopete/protocols/skype« existiert nicht

it says doesnt exist :?
what have i done wrong?
Comment 114 Pino Toscano 2009-03-23 22:31:41 UTC
> it says doesnt exist :?

The Skype plugin is no more separated.
Now it has been integrated in Kopete for KDE 4.3. Also, it needs the development version of Kopete, so you cannot compile it on KDE 4.2.

@Pali:
what about closing this bug, and using new reports for eventual bugs/wishes for it?
Comment 115 Pali Rohár 2009-03-24 08:25:16 UTC
I think this is good. Now we have in kopete plugin for skype functions, so this bug can be closed
Comment 116 Matt Rogers 2009-03-25 04:58:12 UTC
there is now a plugin for skype that will be released with KDE 4.3. New bugs or wishlist requests for the skype plugin should be created as new bugs in bugzilla. Thanks!
Comment 117 m.wege 2009-03-27 09:02:09 UTC
Is/ will there then be a new component in bugzilla to report new wishes/bugs for the skype plugin?
Comment 118 Pino Toscano 2009-03-27 11:21:56 UTC
(In reply to comment #117)
> Is/ will there then be a new component in bugzilla to report new wishes/bugs
> for the skype plugin?

Just report them for 'kopete'.
Comment 119 m.wege 2009-04-06 11:01:06 UTC
Is there any way the plugin can be installed on a KDE4.2.2 install? Would it be possible to just compile Kopete trunk or would it need a whole compiled KDE from trunk. I am asking, because I am using the plugin on 3.5 now and I am about to fully upgrade to 4.2.2 and it would be a shame to loose this again. If possible, how can I just compile Kopete?
Comment 120 Pali Rohár 2009-04-06 14:12:54 UTC
You need to install libraries and headers for kde4.2. Then you can compile kopete from trunk (with skype).
Comment 121 Pino Toscano 2009-04-21 14:29:10 UTC
*** Bug 190250 has been marked as a duplicate of this bug. ***
Comment 122 Daniele Russo 2009-04-25 13:23:16 UTC
Why intead of putting all you efforts in developing a Kopete Plugin don't you try to develope a connection manager for Telepathy framework???It would be a cleaner code solution,it would push Kopete developers to integrate telepathy at last,it would permit also to other applications to use Skype (Voip applications,for example)...I think that KDE4 gave us excellent tools (Phonon,Decibel,Solid,Telepathy)to develope rocking and simply-to-code applications...why don't we simply use them???
Comment 123 Peter Bittner 2009-05-30 01:24:34 UTC
I just wanted to say a super-BIG BIG BIG THANK YOU to Michal Vaner and Pali Rohár for this great Kopete plugin that so many of us have been waiting for! (and thanks everyone else who helped!)

I'm couriously looking foward to do the next 'apt-get dist-upgrade' on Kubuntu when KDE 4.3 comes out with the Skype protocol included in Kopete!

Cheers!
Comment 124 Peter Bittner 2009-05-30 01:24:36 UTC
I just wanted to say a super-BIG BIG BIG THANK YOU to Michal Vaner and Pali Rohár for this great Kopete plugin that so many of us have been waiting for! (and thanks everyone else who helped!)

I'm couriously looking foward to do the next 'apt-get dist-upgrade' on Kubuntu when KDE 4.3 comes out with the Skype protocol included in Kopete!

Cheers!
Comment 125 Daniel Pelzl 2009-10-10 10:01:07 UTC
hi,

is there a debian package allready?

thanx
Comment 126 Christian Schuerer 2009-11-15 23:02:56 UTC
Regarding to debian: the stable version still has KDE 3, so the skype support is not included. But it should be in testing, as it has KDE 4.3.
Comment 127 Evengard 2010-02-07 18:47:28 UTC
How to install it on Debian Squeeze? Or Sid... Or Kubuntu... Or where is the source...?
Comment 128 Pali Rohár 2010-02-07 19:05:07 UTC
Skype protocol is now part of Kopete in KDE4.3 (and KDE4.4 too). So source is on kde svn.
For Kubuntu use ppa repository from https://launchpad.net/~kubuntu-ppa
Comment 129 Evengard 2010-02-07 19:15:17 UTC
Thank you! So it should be in the default repository along with Kopete...